org.apache.geode.cache.query.data

## Class Portfolio

- java.lang.Object
- - org.apache.geode.cache.query.data.Portfolio

- All Implemented Interfaces:
    java.io.Serializable, DataSerializable

      public class Portfolio
      extends java.lang.Object
      implements java.io.Serializable, DataSerializable

  THIS FILE IS ENCODED IN UTF-8 IN ORDER TO TEST UNICODE IN FIELD NAMES. THE ENCODING MUST BE SPECIFIED AS UTF-8 WHEN COMPILED
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.HashMap` | `collectionHolderMap`
    `java.util.Date` | `createDate`
    `long` | `createTime`
    `java.lang.String` | `description`
    `int` | `ID`
    `int` | `indexKey`
    `static java.util.concurrent.atomic.AtomicInteger` | `instanceCount`
    `java.lang.String[]` | `names`
    `java.lang.String` | `pkid`
    `Position` | `position1`
    `Position` | `position2`
    `Position[]` | `position3`
    `java.util.HashMap` | `positions`
    `static java.lang.String[]` | `secIds`
    `java.lang.Short` | `shortID`
    `java.lang.String` | `status`
    `java.lang.String` | `unicodeṤtring`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Portfolio()`
    `Portfolio(int i)`
    `Portfolio(int i, int j)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `boolFunction(java.lang.String strArg)`
    `boolean` | `equals(java.lang.Object o)`
    `void` | `fromData(java.io.DataInput in)` Reads the state of this object as primitive data from the given `DataInput`.
    `java.lang.String` | `funcReturnSecId(java.lang.Object o)`
    `java.util.HashMap` | `getCollectionHolderMap()`
    `long` | `getCreateTime()`
    `ComparableWrapper` | `getCW(int x)`
    `double` | `getDoubleMinValue()`
    `float` | `getFloatMinValue()`
    `int` | `getID()`
    `float` | `getLongMinValue()`
    `Position` | `getP1()`
    `Position` | `getP2()`
    `java.lang.String` | `getPk()`
    `java.util.HashMap` | `getPositions()`
    `java.util.HashMap` | `getPositions(int i)`
    `java.util.HashMap` | `getPositions(java.lang.Integer i)`
    `java.util.HashMap` | `getPositions(java.lang.String str)`
    `java.lang.String` | `getType()` Getter for property type.S
    `int` | `hashCode()`
    `int` | `intFunction(int j)`
    `boolean` | `isActive()`
    `long` | `longFunction(long j)`
    `static void` | `resetInstanceCount()`
    `void` | `setCreateTime(long time)`
    `boolean` | `testMethod(boolean booleanArg)`
    `void` | `throwExceptionMethod()`
    `void` | `toData(java.io.DataOutput out)` Writes the state of this object as primitive data to the given `DataOutput`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instanceCount

          public static java.util.concurrent.atomic.AtomicInteger instanceCount

    - #### ID

          public int ID

    - #### indexKey

          public int indexKey

    - #### pkid

          public java.lang.String pkid

    - #### shortID

          public java.lang.Short shortID

    - #### position1

          public Position position1

    - #### position2

          public Position position2

    - #### position3

          public Position[] position3

    - #### description

          public java.lang.String description

    - #### createTime

          public long createTime

    - #### positions

          public java.util.HashMap positions

    - #### collectionHolderMap

          public java.util.HashMap collectionHolderMap

    - #### status

          public java.lang.String status

    - #### names

          public java.lang.String[] names

    - #### unicodeṤtring

          public java.lang.String unicodeṤtring

    - #### createDate

          public java.util.Date createDate

    - #### secIds

          public static java.lang.String[] secIds

  - ### Constructor Detail

    - #### Portfolio

          public Portfolio()

    - #### Portfolio

          public Portfolio(int i)

    - #### Portfolio

          public Portfolio(int i,
                           int j)

  - ### Method Detail

    - #### getID

          public int getID()

    - #### getCreateTime

          public long getCreateTime()

    - #### setCreateTime

          public void setCreateTime(long time)

    - #### getPk

          public java.lang.String getPk()

    - #### getPositions

          public java.util.HashMap getPositions()

    - #### getPositions

          public java.util.HashMap getPositions(java.lang.String str)

    - #### getPositions

          public java.util.HashMap getPositions(java.lang.Integer i)

    - #### getPositions

          public java.util.HashMap getPositions(int i)

    - #### getP1

          public Position getP1()

    - #### getP2

          public Position getP2()

    - #### getCollectionHolderMap

          public java.util.HashMap getCollectionHolderMap()

    - #### getCW

          public ComparableWrapper getCW(int x)

    - #### testMethod

          public boolean testMethod(boolean booleanArg)

    - #### isActive

          public boolean isActive()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public java.lang.String getType()

      Getter for property type.S
      Returns:
        Value of property type.

    - #### boolFunction

          public boolean boolFunction(java.lang.String strArg)

    - #### intFunction

          public int intFunction(int j)

    - #### funcReturnSecId

          public java.lang.String funcReturnSecId(java.lang.Object o)

    - #### longFunction

          public long longFunction(long j)

    - #### getFloatMinValue

          public float getFloatMinValue()

    - #### getLongMinValue

          public float getLongMinValue()

    - #### getDoubleMinValue

          public double getDoubleMinValue()

    - #### throwExceptionMethod

          public void throwExceptionMethod()

    - #### fromData

          public void fromData(java.io.DataInput in)
                        throws java.io.IOException,
                               java.lang.ClassNotFoundException

      Description copied from interface: `DataSerializable`
      Reads the state of this object as primitive data from the given `DataInput`.
      Specified by:
        `fromData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while reading from `in`
        `java.lang.ClassNotFoundException` - A class could not be loaded while reading from `in`

    - #### toData

          public void toData(java.io.DataOutput out)
                      throws java.io.IOException

      Description copied from interface: `DataSerializable`
      Writes the state of this object as primitive data to the given `DataOutput`.

      Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

      Specified by:
        `toData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while writing to `out`

    - #### resetInstanceCount

          public static void resetInstanceCount()